## plasma-dialer 6.5.3+p24.04+vunstable+git20251208.0731

=== debian/changelog ===
plasma-dialer (1:6.5.3+p24.04+vunstable+git20251208.0731-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 07:31:01 +0000
