## plasma-dialer 6.5.4+p24.04+vstable+git20251226.0444

=== debian/changelog ===
plasma-dialer (1:6.5.4+p24.04+vstable+git20251226.0444-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 04:44:05 +0000

plasma-dialer (1:6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:21:16 +1000
