## plasma-dialer 6.5.4+p24.04+vstable+git20251231.0713

=== debian/changelog ===
plasma-dialer (1:6.5.4+p24.04+vstable+git20251231.0713-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 07:13:58 +0000
