=== debian/changelog ===
plasma-dialer (1:6.5.4+p24.04+vunstable+git20251209.1616-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 16:16:24 +0000
