## plasma-dialer 6.5.5+p24.04+vstable+git20260126.1415

=== debian/changelog ===
plasma-dialer (1:6.5.5+p24.04+vstable+git20260126.1415-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 14:15:20 +0000

plasma-dialer (1:6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:29:49 +1000
