## plasma-dialer 6.5.5+p24.04+vstable+git20260130.1031

=== debian/changelog ===
plasma-dialer (1:6.5.5+p24.04+vstable+git20260130.1031-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 10:31:52 +0000
