## plasma-dialer 6.5.5+p24.04+vunstable+git20260126.0900

=== debian/changelog ===
plasma-dialer (1:6.5.5+p24.04+vunstable+git20260126.0900-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 09:00:41 +0000
