=== debian/changelog ===
plasma-dialer (1:6.5.5+p24.04+vunstable+git20260201.0807-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 08:07:48 +0000
