=== debian/control ===
Source: plasma-dialer
Section: comm
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcontacts-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-knotifications-dev,
               kf6-kpeople-dev,
               kf6-kwindowsystem-dev,
               kf6-modemmanager-qt-dev,
               ktactilefeedback-dev,
               kwin-addons,
               kwin-dev,
               libcallaudio-dev,
               libfreetype-dev,
               libphonenumber-dev,
               libwayland-dev,
               pkg-kde-tools-neon,
               plasma-wayland-protocols,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-wayland-dev,
               reuse
Standards-Version: 4.6.2
Vcs-Git: https://invent.kde.org/neon/mobile/plasma-dialer.git
Vcs-Browser: https://invent.kde.org/neon/mobile/plasma-dialer
Maintainer: Neon CI <neon@kde.org>

Package: plasma-dialer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Dialer application with call history and contacts
 Plasma Dialer is the default dialer app for the Plasma Mobile shell.
