=== debian/control ===
Source: plasma-dialer
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
           Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.101.0~),
               kirigami-addons-dev (>= 0.6~),
               kwin-dev (>= 4:5.26.4~),
               libcallaudio-dev (>= 0.1.4~),
               libkf5config-dev (>= 5.101.0~),
               libkf5contacts-dev (>= 5:5.101.0~),
               libkf5coreaddons-dev (>= 5.101.0~),
               libkf5dbusaddons-dev (>= 5.101.0~),
               libkf5i18n-dev (>= 5.101.0~),
               libkf5kio-dev (>= 5.101.0~),
               libkf5notifications-dev (>= 5.101.0~),
               libkf5people-dev (>= 5.101.0~),
               libkf5windowsystem-dev (>= 5.101.0~),
               libphonenumber-dev,
               libqt5waylandclient5-dev (>= 5.15.2~),
               libwayland-dev,
               modemmanager-qt-dev (>= 5.101.0~),
               pkg-config,
               pkg-kde-tools,
               plasma-wayland-protocols (>= 1.8~),
               qtbase5-dev (>= 5.15.2~),
               qtbase5-private-dev,
               qtdeclarative5-dev (>= 5.15.2~),
               qtfeedback5-dev,
               qtquickcontrols2-5-dev (>= 5.15.2~),
               qtwayland5-dev-tools,
               qtwayland5-private-dev,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma-mobile/plasma-dialer
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/plasma-dialer
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/plasma-dialer.git
Rules-Requires-Root: no

Package: plasma-dialer
Architecture: any
Depends: callaudiod, ${misc:Depends}, ${shlibs:Depends}
Description: Dialer for Plasma Mobile
 This application aims at enabling voice calls features inside
 a Plasma Mobile environment.
 .
 It is based on Qt graphical libraries and relies on some KDE
 Frameworks. It depends on ModemManager in order to interface
 with the radio device, and on Callaudio to manage audio
 profiles during voice calls.
